Skip to main content
PUT
/
api
/
email-templates
/
{template_id}
Update a template
curl --request PUT \
  --url https://api.morphic.io/api/email-templates/{template_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "subject": "<string>",
  "body_html": "<string>",
  "is_favorite": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "body_html": "<string>",
  "is_favorite": true
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

template_id
string<uuid>
required

Body

application/json
subject
string | null
body_html
string | null
is_favorite
boolean | null

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_id
string<uuid>
required
user_id
string<uuid>
required
subject
string
required
body_html
string
required
is_favorite
boolean
required